Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix
Interface IFixFieldDefs

All Known Subinterfaces:
  IBusinessRejectReason, IFixDefs, IOrdRejReason, IOrdType

All Known Implementing Classes:
  ATradeTransportable, BusinessMessageReject, ClosedPositionReport, CollateralInquiry, CollateralInquiryAck, CollateralReport, DasMessage, DasMessage, EMail, ExecutionReport, FXCMNewsRequest, FXCMNewsTopicRequest, FXCMNewsTopicResponse, Heartbeat, Logout, MarketDataRequest, MarketDataRequestReject, News, OrderCancelReject, OrderCancelReplaceRequest, OrderCancelRequest, OrderList, OrderMassStatusRequest, OrderSingle, OrderStatusRequest, PositionReport, Quote, QuoteCancel, QuoteRequest, QuoteRequestReject, QuoteResponse, RequestForPositions, RequestForPositionsAck, SecurityList, SecurityListRequest, SecurityStatus, SecurityStatusRequest, TestRequest, TradingSessionStatus, TradingSessionStatus, TradingSessionStatusRequest, UserRequest, UserResponse

    public interface IFixFieldDefs

Set of FIX releated constants.

Field Summary
`static String` | `FLDTAG_ACCOUNT` Account
`static String` | `FLDTAG_ACCTIDSOURCE` Numeric Account id
`static String` | `FLDTAG_ACCTTYPE` FIX account type
`static String` | `FLDTAG_AVGPX` avg price
`static String` | `FLDTAG_BATCHREQUEST_BATCHRESPONSE` BatchRequest.
`static String` | `FLDTAG_BIDTYPE` Code to identify the type of Bid Request (k)
`static String` | `FLDTAG_BUSINESSREJECTREASON` Business Reject Reason
`static String` | `FLDTAG_BUSINESSREJECTREFID` Business Rejected Reference ID
`static String` | `FLDTAG_CASHOUTSTANDING` Balance on the account
`static String` | `FLDTAG_CFICODE` Indicates the type of security using ISO 10962 standard, Classification of Financial Instruments (CFI code) values.
`static String` | `FLDTAG_CLEARINGBUSINESSDATE` Clearing business date
`static String` | `FLDTAG_CLORDID` Client order id
`static String` | `FLDTAG_CLORDLINKID` client order link id
`static String` | `FLDTAG_COLLINQUIRYID` Collateral request id
`static String` | `FLDTAG_COLLINQUIRYRESULT` collateral inquiry result
`static String` | `FLDTAG_COLLINQUIRYSTATUS` collateral inquiry status
`static String` | `FLDTAG_COLLRPTID` Collateral report id
`static String` | `FLDTAG_COLLSTATUS` Collateral report status
`static String` | `FLDTAG_COMMISSION` Commission
`static String` | `FLDTAG_CONTINGENCYTYPE` ContingencyType Defines the type of contingency.
`static String` | `FLDTAG_CONTRACTMULTIPLIER` Specifies the ratio or multiply factor to convert from "nominal" units (e.g. contracts) to total units (e.g. shares) (e.g. 1.0, 100, 1000, etc).
`static String` | `FLDTAG_CUMQTY` Total quantity filled.
`static String` | `FLDTAG_CURRENCY` Currency field code
`static String` | `FLDTAG_CURRENTVOLUME` Current minute candle volume
`static String` | `FLDTAG_CURRENTVOLUME_TIME` Current minute candle time
`static String` | `FLDTAG_CXLREJREASON` cx reject reason
`static String` | `FLDTAG_CXLREJRESPONSETO` cx reject response to
`static String` | `FLDTAG_EFFECTIVETIME` Time the details within the message should take effect
`static String` | `FLDTAG_EMAILTHREADID` Email Thread ID
`static String` | `FLDTAG_EMAILTYPE` Email Type
`static String` | `FLDTAG_EMBMSG` Field that contains group of embedded messages
`static String` | `FLDTAG_ENDCASH` Equity at time of request.
`static String` | `FLDTAG_ENTITYCODE` FXCM Entity Code
`static String` | `FLDTAG_EXECID` Execution ID
`static String` | `FLDTAG_EXECINSTR` Instructions for order handling on exchange trading floor.
`static String` | `FLDTAG_EXECTYPE` Execution type
`static String` | `FLDTAG_EXPIREDATE` Quote expiration date (UTCDateOnly)
`static String` | `FLDTAG_EXPIRETIME` Quote expiration time (UTCTimeOnly)
`static String` | `FLDTAG_FACTOR` Base unit size
`static String` | `FLDTAG_FXCMATTACHSESSION_SID` ID of a session to attach.
`static String` | `FLDTAG_FXCMCASHDAILY` EquityChangeNT
`static String` | `FLDTAG_FXCMCLIENTEXTRA` Client extra data
`static String` | `FLDTAG_FXCMCLOSECLORDID` cliend order id of close order
`static String` | `FLDTAG_FXCMCLOSEORDERID` FXCM Close Order ID
`static String` | `FLDTAG_FXCMCLOSESECONDARYCLORDID` client custom text of close order
`static String` | `FLDTAG_FXCMCLOSESETTLPRICE` Closed Position price
`static String` | `FLDTAG_FXCMCOMMANDID` CommandID
`static String` | `FLDTAG_FXCMCONDDISTENTRYLIMIT` Condition distance for Entry Limit order
`static String` | `FLDTAG_FXCMCONDDISTENTRYSTOP` Condition distance for Entry Stop order
`static String` | `FLDTAG_FXCMCONDDISTLIMIT` Condition distance for Limit order
`static String` | `FLDTAG_FXCMCONDDISTSTOP` Condition distance for Stop order
`static String` | `FLDTAG_FXCMCONTINGENCYID` Server/Sell Side Contingency ID
`static String` | `FLDTAG_FXCMCONTINUOUSFLAG` FXCMContinuous flag
`static String` | `FLDTAG_FXCMDASMESSAGE_ACCTID` DasMessage routing codes.
`static String` | `FLDTAG_FXCMDASMESSAGE_ACTION` DasMessage routing codes.
`static String` | `FLDTAG_FXCMDASMESSAGE_CODE` DasMessage routing codes.
`static String` | `FLDTAG_FXCMDASMESSAGE_KIND` DasMessage routing codes.
`static String` | `FLDTAG_FXCMDASMESSAGE_LID1` DasMessage routing codes.
`static String` | `FLDTAG_FXCMDASMESSAGE_LID2` DasMessage routing codes.
`static String` | `FLDTAG_FXCMDASMESSAGE_MSGIDEXT` FXCM DasMessage MSGIDEXT
`static String` | `FLDTAG_FXCMDASMESSAGE_OBJID` DasMessage routing codes.
`static String` | `FLDTAG_FXCMDASMESSAGE_OBJTYPE` DasMessage roting codes.
`static String` | `FLDTAG_FXCMDASMESSAGE_PRICESTREAM` DasMessage routing codes.
`static String` | `FLDTAG_FXCMDASMESSAGE_SID` DasMessage routing codes.
`static String` | `FLDTAG_FXCMDASMESSAGE_SRVKIND` DasMessage routing codes.
`static String` | `FLDTAG_FXCMDBALIAS` FXCM DB Alias
`static String` | `FLDTAG_FXCMENDDATE` FXCMEndDate field code
`static String` | `FLDTAG_FXCMENDTIME` FXCMEndTime field code
`static String` | `FLDTAG_FXCMERRORDETAILS` ErrorDeatils
`static String` | `FLDTAG_FXCMINCLUDEWEEKENDS` Include weekend data
`static String` | `FLDTAG_FXCMMARGINCALL` Margin call flag
`static String` | `FLDTAG_FXCMMAXNORESULTS` FXCM Max Number of Results
`static String` | `FLDTAG_FXCMMAXQUANTITY` Max quantity allowed
`static String` | `FLDTAG_FXCMMDENTRYAMOUNT`
`static String` | `FLDTAG_FXCMMDENTRYLIST`
`static String` | `FLDTAG_FXCMMDLADDERID`
`static String` | `FLDTAG_FXCMMDORIGINATOR`
`static String` | `FLDTAG_FXCMMDPRICELADDERS`
`static String` | `FLDTAG_FXCMMDQUOTEDATETIME`
`static String` | `FLDTAG_FXCMMDQUOTEEXPIREDATETIME`
`static String` | `FLDTAG_FXCMMDQUOTES`
`static String` | `FLDTAG_FXCMMINQUANTITY` Min quantity allowed
`static String` | `FLDTAG_FXCMMSGID` FXCM message ID
`static String` | `FLDTAG_FXCMNADDONTEXT` FXCM Add On Text
`static String` | `FLDTAG_FXCMNOADDON` FXCM number of Add Ons
`static String` | `FLDTAG_FXCMNOPARAM` FXCMNoParam field code
`static String` | `FLDTAG_FXCMNOPRICESTREAM` FXCM Price Stream Number
`static String` | `FLDTAG_FXCMNOSNAPSHOT` Number of desired snapshots
`static String` | `FLDTAG_FXCMORDSTATUS` FXCM order status
`static String` | `FLDTAG_FXCMORDTYPE` FXCM order type
`static String` | `FLDTAG_FXCMPAGEID` Page ID for FXCM news messages
`static String` | `FLDTAG_FXCMPAGEIDNO` Pages group field for News request
`static String` | `FLDTAG_FXCMPAGEVIEWID` Pageview ID for FXCM news messages
`static String` | `FLDTAG_FXCMPAGEVIEWLIFETIME` Pageview lifetime for FXCM news messages
`static String` | `FLDTAG_FXCMPARAMNAME` FXCMParamName field code
`static String` | `FLDTAG_FXCMPARAMVALUE` FXCMParamValue field code
`static String` | `FLDTAG_FXCMPEGFLUCTUATEPTS` Specifies the number trailing stop fluctuating points
`static String` | `FLDTAG_FXCMPOSCLOSEPNL` Position close reason
`static String` | `FLDTAG_FXCMPOSCLOSETIME` Closed Position date
`static String` | `FLDTAG_FXCMPOSCOMMISSION` Position commission
`static String` | `FLDTAG_FXCMPOSID` Trade id
`static String` | `FLDTAG_FXCMPOSIDREF` Origin/Reference FXCM Trade ID
`static String` | `FLDTAG_FXCMPOSINTEREST` Position interest
`static String` | `FLDTAG_FXCMPOSOPENTIME` Open time in 'mmddyyyyhh24miss' format
`static String` | `FLDTAG_FXCMPRICESTREAMID` FXCM Price Stream Id
`static String` | `FLDTAG_FXCMPRICESTREAMNAME`
`static String` | `FLDTAG_FXCMPRODUCTID` Product id (1-Forex, 2-Index, 3-Commodity, 4-Treasury, 5-Bullion)
`static String` | `FLDTAG_FXCMREQUESTREJECT` Request reject code for FXCM news
`static String` | `FLDTAG_FXCMSERVERTIMEZONE` FXCMServerTimeZone field code
`static String` | `FLDTAG_FXCMSERVERTIMEZONENAME` FXCMServerTimezoneName
`static String` | `FLDTAG_FXCMSESSIONMANAGERID` FXCM Session Manager ID
`static String` | `FLDTAG_FXCMSTART` FXCM custom fields' starting point
`static String` | `FLDTAG_FXCMSTARTDATE` FXCMStartDate field code
`static String` | `FLDTAG_FXCMSTARTTIME` FXCMStartTime field code
`static String` | `FLDTAG_FXCMSUBSCRIPTIONSTATUS` FXCM Subscription status (D/T/V/M)
`static String` | `FLDTAG_FXCMSYMID` FXCMSymID field code
`static String` | `FLDTAG_FXCMSYMINTERESTBUY` fxcm sym interest buy
`static String` | `FLDTAG_FXCMSYMINTERESTSELL` fxcm sym interest sell
`static String` | `FLDTAG_FXCMSYMMARGINRATIO` fxcm sym margin ratio
`static String` | `FLDTAG_FXCMSYMPOINTSIZE` fxcm sym point size
`static String` | `FLDTAG_FXCMSYMPRECISION` FXCMSymPrecision field code
`static String` | `FLDTAG_FXCMSYMSORTORDER` fxcm sym sort order
`static String` | `FLDTAG_FXCMTIMINGINTERVAL` FXCMTimingInterval field code
`static String` | `FLDTAG_FXCMTIMINGINTERVAL_AUX` FXCMTimingInterval aux field code; e.g., 1.
`static String` | `FLDTAG_FXCMTOPICID1` FXCM Topic ID1
`static String` | `FLDTAG_FXCMTOPICID2` FXCM Topic ID2
`static String` | `FLDTAG_FXCMTOPICID3` FXCM Topic ID3
`static String` | `FLDTAG_FXCMTOPICID4` FXCM Topic ID4
`static String` | `FLDTAG_FXCMTOPICID5` FXCM Topic ID5
`static String` | `FLDTAG_FXCMTRADINGSTATUS` Security Trading Status: O-Open, C-Closed
`static String` | `FLDTAG_FXCMUSEDMARGIN` Used margin
`static String` | `FLDTAG_FXCMUSEDMARGIN3` Used Margin 3
`static String` | `FLDTAG_HEADLINE` Headline filed code
`static String` | `FLDTAG_LASTPX` Price of this (last) fill
`static String` | `FLDTAG_LASTQTY` Quantity (e.g. shares) bought/sold on this (last) fill.
`static String` | `FLDTAG_LASTRPTREQUESTED` Last report requested
`static String` | `FLDTAG_LEAVESQTY` Quantity left to fill on the order.
`static String` | `FLDTAG_LEGPRICE` Price for leg of a multileg
`static String` | `FLDTAG_LINESOFTEXT` LinesOfText field code
`static String` | `FLDTAG_LISTID` list id
`static String` | `FLDTAG_LISTSEQNO` Sequence of individual order within list (i.e.
`static String` | `FLDTAG_LONGQTY` Qty, set if side is BUY
`static String` | `FLDTAG_MARGINRATIO` MMR The amount reflected in this column indicates the margin required to open a one lot position.
`static String` | `FLDTAG_MARKETDEPTH` MarketDepth field code
`static String` | `FLDTAG_MASSSTATUSREQID` mass status req id
`static String` | `FLDTAG_MASSSTATUSREQTYPE` mass status request type
`static String` | `FLDTAG_MDENTRYDATE` MDEntryDate field code
`static String` | `FLDTAG_MDENTRYID` Unique Market Data Entry identifier.
`static String` | `FLDTAG_MDENTRYORIGINATOR` MDEntry Originator
`static String` | `FLDTAG_MDENTRYPX` MDEntryPx field code
`static String` | `FLDTAG_MDENTRYSIZE` Quote liquidity, impressed in dealt currency, when field is 0 any order quantity possible
`static String` | `FLDTAG_MDENTRYTIME` MDEntryTime field code
`static String` | `FLDTAG_MDENTRYTYPE` MDEntryType field code
`static String` | `FLDTAG_MDREQID` MDReqID field code
`static String` | `FLDTAG_MDREQREJREASON` MDRewRejReason field code
`static String` | `FLDTAG_MDUPDATEACTION` MDUpdateAction field code
`static String` | `FLDTAG_MDUPDATETYPE` MDUpdateType field code
`static String` | `FLDTAG_MSGSEQNUM` Message Sequence number
`static String` | `FLDTAG_MSGTYPE` MsgType field code
`static String` | `FLDTAG_NEWPASSWORD` New Password
`static String` | `FLDTAG_NOLEGS` Number of InstrumentLeg repeating group instances.
`static String` | `FLDTAG_NOMDENTRIES` NoMDEntries field code
`static String` | `FLDTAG_NOMDENTRYTYPES` NoMDEntryTypes field code
`static String` | `FLDTAG_NOORDERS` Indicates number of orders to be combined for average pricing and allocation.
`static String` | `FLDTAG_NOPARTYIDS` NoPartyIDs - Number of Party objects in a particular Parties object
`static String` | `FLDTAG_NOPARTYSUBIDS` Number Party Sub IDS
`static String` | `FLDTAG_NOPOSAMT` Number of positionAmount entities
`static String` | `FLDTAG_NOPOSITIONS` Number of positions in the PositionQty object
`static String` | `FLDTAG_NORELATEDSYM` NoRealedSym field code
`static String` | `FLDTAG_NOTRADINGSESSIONS` NoTradingSessions field code
`static String` | `FLDTAG_OPENCLOSESETTLFLAG` Flag that identifies a market data entry.
`static String` | `FLDTAG_ORDER_QTY` Order quantity
`static String` | `FLDTAG_ORDER_QTY2` Order quantity 2
`static String` | `FLDTAG_ORDER_REJECTION_REASON` Order rejection reason
`static String` | `FLDTAG_ORDERID` Order id
`static String` | `FLDTAG_ORDERPERCENT` percentage of open quantity to close
`static String` | `FLDTAG_ORDERSTATUS` Order status
`static String` | `FLDTAG_ORDERSTATUSREQID` Order Status Request ID
`static String` | `FLDTAG_ORDTYPE` Order type
`static String` | `FLDTAG_ORIGCLORDID` Original cl order id of previous non-rejected order
`static String` | `FLDTAG_ORIGORDMODTIME` original order modification time
`static String` | `FLDTAG_ORIGTIME` OrigTime field code
`static String` | `FLDTAG_PARTY_ROLE` Party role *
`static String` | `FLDTAG_PARTYID` Party id *
`static String` | `FLDTAG_PARTYID_SOURCE` Party id Source *
`static String` | `FLDTAG_PARTYSUBID` Parties Sub Id
`static String` | `FLDTAG_PARTYSUBIDTYPE` Party Sub ID Type
`static String` | `FLDTAG_PASSWORD` Password
`static String` | `FLDTAG_PEGLIMITTYPE` Specifies nature of resulting pegged price (eg or better limit, strictlimit etc).
`static String` | `FLDTAG_PEGMOVETYPE` Describes whether peg is static/fixed or floats
`static String` | `FLDTAG_PEGOFFSETTYPE` Type of Peg Offset (eg price offset, tick offset etc).
`static String` | `FLDTAG_PEGOFFSETVALUE` Amount (signed) added to the peg for a pegged order in the contextof the PegOffsetType.
`static String` | `FLDTAG_PEGPRICETYPE` Defines the type of peg.
`static String` | `FLDTAG_PEGROUNDDIRECTION` If the calculated peg price is not a valid tick price, specifies how toround the price (eg be more or less aggressive).
`static String` | `FLDTAG_PEGSCOPE` The scope of the related to price of the peg (eg local, global etc)
`static String` | `FLDTAG_POSAMT` Position Amount
`static String` | `FLDTAG_POSAMTTYPE` Position Amount type
`static String` | `FLDTAG_POSMAINTRPTID` PositionReport id
`static String` | `FLDTAG_POSREQID` Position Request ID
`static String` | `FLDTAG_POSREQRESULT` Status (validity) of position request
`static String` | `FLDTAG_POSREQSTATUS` position request status
`static String` | `FLDTAG_POSREQTYPE` Position Request Type
`static String` | `FLDTAG_POSTYPE` Position type
`static String` | `FLDTAG_PREVCLOSEPX` Previous closing price of security.
`static String` | `FLDTAG_PRICE` Price
`static String` | `FLDTAG_PRIORSETTLPRICE` Same as open price for now
`static String` | `FLDTAG_PRODUCT` Indicates the type of product the security is associated with (high-level category) Valid values: '2' COMMODITY '4' CURRENCY '6' GOVERNMENT '7' INDEX
`static String` | `FLDTAG_QUANTITY` Overall/total quantity (e.g. number of shares)
`static String` | `FLDTAG_QUOTE_BIDPX` QuoteEntityType value: Bid
`static String` | `FLDTAG_QUOTE_ID` Quote ID
`static String` | `FLDTAG_QUOTE_OFFERPX` QuoteEntityType value: Offer (Ask)
`static String` | `FLDTAG_QUOTE_REQ_ID` Quote Request ID value: QuoteReqID
`static String` | `FLDTAG_QUOTE_REQUEST_REJECT_REASON` Quote Request Reject Reason
`static String` | `FLDTAG_QUOTE_RESP_ID` Quote Response ID
`static String` | `FLDTAG_QUOTE_RESP_TYPE` Quote Response Type
`static String` | `FLDTAG_QUOTECANCELTYPE` QuoteCancelType
`static String` | `FLDTAG_QUOTECONDITION` QuoteCondition field code
`static String` | `FLDTAG_QUOTEENTRYID` Quote Entry ID
`static String` | `FLDTAG_QUOTETYPE` Quote Type code
`static String` | `FLDTAG_RAWDATA` Raw Data
`static String` | `FLDTAG_RAWDATALENGTH` Raw Data Length
`static String` | `FLDTAG_REFMSGTYPE` Reference Message Type
`static String` | `FLDTAG_REPEAT_COUNTER` Repeat counter in message body.
`static String` | `FLDTAG_RESPONSE_FORMAT`
`static String` | `FLDTAG_RESPONSEENCODING` FXCM Response Encoding
`static String` | `FLDTAG_ROUNDLOT` RoundLot field code
`static String` | `FLDTAG_SECONDARYCLORDID` Client text
`static String` | `FLDTAG_SECONDARYORDERID` secondary order id
`static String` | `FLDTAG_SECURITYLISTREQUESTTYPE` Identifies the type/criteria of Security List Request (x)
`static String` | `FLDTAG_SECURITYREQID` Unique ID of a Security Request
`static String` | `FLDTAG_SECURITYREQUESTRESULT` Result of the Security Request identified by the SecurityReqID (320)
`static String` | `FLDTAG_SECURITYRESPONSEID` Identifier for the Security List (y) message
`static String` | `FLDTAG_SECURITYSTATUSREQID` Unique ID of a Security Status Request (e) message.
`static String` | `FLDTAG_SECURITYTYPE` Indicates type of security.
`static String` | `FLDTAG_SETTLDATE` Settlement date
`static String` | `FLDTAG_SETTLPRICE` Posiiton open price
`static String` | `FLDTAG_SETTLPRICETYPE` Settlement price type
`static String` | `FLDTAG_SETTLTYPE`
`static String` | `FLDTAG_SHORTQTY` Qty, set if side is SELL
`static String` | `FLDTAG_SIDE` Side
`static String` | `FLDTAG_STARTCASH` Equity change nt
`static String` | `FLDTAG_STOPPX` Stop Price
`static String` | `FLDTAG_SUBJECT` Subject
`static String` | `FLDTAG_SUBSCRIPTIONREQUESTTYPE` SubscriptionRequestType field code
`static String` | `FLDTAG_SYMBOL` Symbol field code
`static String` | `FLDTAG_TESTREQID` Test request ID
`static String` | `FLDTAG_TEXT` Text field code
`static String` | `FLDTAG_TIMEINFORCE` Time in Force
`static String` | `FLDTAG_TOTNOORDERS` Total number of list order entries across all messages.
`static String` | `FLDTAG_TOTNUMPOSREPORTS` Total Number Position Reports
`static String` | `FLDTAG_TOTNUMREPORTS` Total number of reports
`static String` | `FLDTAG_TRADEDATE` trade date
`static String` | `FLDTAG_TRADEORIGINATIONDATE` trade origination date
`static String` | `FLDTAG_TRADINGSESSIONID` TradingSessionID field code
`static String` | `FLDTAG_TRADINGSESSIONSUBID` TradingSessionSubID field code
`static String` | `FLDTAG_TRADSESCLOSETIME` TradSesCloseTime field code
`static String` | `FLDTAG_TRADSESMODE` TradSesMode field code
`static String` | `FLDTAG_TRADSESOPENTIME` TradSesOpenTime field code
`static String` | `FLDTAG_TRADSESREQID` TradSesReqID field code
`static String` | `FLDTAG_TRADSESSTARTTIME` TradSesStartTime field code
`static String` | `FLDTAG_TRADSESSTATUS` TradSesStatus field code
`static String` | `FLDTAG_TRADSESSTATUSREJREASON` TradSesStatusRejection field code
`static String` | `FLDTAG_TRANSACTTIME` Transact Time field code
`static String` | `FLDTAG_UNSOLICITEDINDICATOR` UnsolicitedIndicator field code
`static String` | `FLDTAG_URGENCY` Urgency field code
`static String` | `FLDTAG_USERNAME` UserName
`static String` | `FLDTAG_USERREQUESTID` User Request ID
`static String` | `FLDTAG_USERREQUESTTYPE` User Request Type
`static String` | `FLDTAG_USERSTATUS` User Status
`static String` | `FLDTAG_USERSTATUSTEXT` User Status Text
`static String` | `FLDTAG_VALIDUNTILTIME` Valid Until Time
`static String` | `FLDTAG_WORKINGINDICATOR` working indicator

Field Detail

### FLDTAG_LISTSEQNO

    static final String FLDTAG_LISTSEQNO

  Sequence of individual order within list (i.e. ListSeqNo (67) of TotNoOrders (68) , 2 of 25, 3 of 25, . . . )

  See Also:
    Constant Field Values

### FLDTAG_TOTNOORDERS

    static final String FLDTAG_TOTNOORDERS

  Total number of list order entries across all messages. Should be the sum of all NoOrders (73) in each message that has repeating list order entries related to the same ListID (66) Used to support fragmentation.

  See Also:
    Constant Field Values

### FLDTAG_NOORDERS

    static final String FLDTAG_NOORDERS

  Indicates number of orders to be combined for average pricing and allocation.

  See Also:
    Constant Field Values

### FLDTAG_BIDTYPE

    static final String FLDTAG_BIDTYPE

  Code to identify the type of Bid Request (k)

  See Also:
    Constant Field Values

### FLDTAG_LASTPX

    static final String FLDTAG_LASTPX

  Price of this (last) fill

  See Also:
    Constant Field Values

### FLDTAG_LASTQTY

    static final String FLDTAG_LASTQTY

  Quantity (e.g. shares) bought/sold on this (last) fill.

  See Also:
    Constant Field Values

### FLDTAG_ORDERSTATUSREQID

    static final String FLDTAG_ORDERSTATUSREQID

  Order Status Request ID

  See Also:
    Constant Field Values

### FLDTAG_RAWDATALENGTH

    static final String FLDTAG_RAWDATALENGTH

  Raw Data Length

  See Also:
    Constant Field Values

### FLDTAG_RAWDATA

    static final String FLDTAG_RAWDATA

  Raw Data

  See Also:
    Constant Field Values

### FLDTAG_SECURITYLISTREQUESTTYPE

    static final String FLDTAG_SECURITYLISTREQUESTTYPE

  Identifies the type/criteria of Security List Request (x)

  See Also:
    Constant Field Values

### FLDTAG_SECURITYREQUESTRESULT

    static final String FLDTAG_SECURITYREQUESTRESULT

  Result of the Security Request identified by the SecurityReqID (320)

  See Also:
    Constant Field Values

### FLDTAG_SECURITYREQID

    static final String FLDTAG_SECURITYREQID

  Unique ID of a Security Request

  See Also:
    Constant Field Values

### FLDTAG_SECURITYRESPONSEID

    static final String FLDTAG_SECURITYRESPONSEID

  Identifier for the Security List (y) message

  See Also:
    Constant Field Values

### FLDTAG_SECURITYSTATUSREQID

    static final String FLDTAG_SECURITYSTATUSREQID

  Unique ID of a Security Status Request (e) message.

  See Also:
    Constant Field Values

### FLDTAG_MSGTYPE

    static final String FLDTAG_MSGTYPE

  MsgType field code

  See Also:
    Constant Field Values

### FLDTAG_QUOTETYPE

    static final String FLDTAG_QUOTETYPE

  Quote Type code

  See Also:
    Constant Field Values

### FLDTAG_SYMBOL

    static final String FLDTAG_SYMBOL

  Symbol field code

  See Also:
    Constant Field Values

### FLDTAG_TRANSACTTIME

    static final String FLDTAG_TRANSACTTIME

  Transact Time field code

  See Also:
    Constant Field Values

### FLDTAG_EXECTYPE

    static final String FLDTAG_EXECTYPE

  Execution type

  See Also:
    Constant Field Values

### FLDTAG_TRADSESREQID

    static final String FLDTAG_TRADSESREQID

  TradSesReqID field code

  See Also:
    Constant Field Values

### FLDTAG_TRADINGSESSIONID

    static final String FLDTAG_TRADINGSESSIONID

  TradingSessionID field code

  See Also:
    Constant Field Values

### FLDTAG_TRADINGSESSIONSUBID

    static final String FLDTAG_TRADINGSESSIONSUBID

  TradingSessionSubID field code

  See Also:
    Constant Field Values

### FLDTAG_TRADSESMODE

    static final String FLDTAG_TRADSESMODE

  TradSesMode field code

  See Also:
    Constant Field Values

### FLDTAG_UNSOLICITEDINDICATOR

    static final String FLDTAG_UNSOLICITEDINDICATOR

  UnsolicitedIndicator field code

  See Also:
    Constant Field Values

### FLDTAG_TRADSESSTATUS

    static final String FLDTAG_TRADSESSTATUS

  TradSesStatus field code

  See Also:
    Constant Field Values

### FLDTAG_TRADSESSTATUSREJREASON

    static final String FLDTAG_TRADSESSTATUSREJREASON

  TradSesStatusRejection field code

  See Also:
    Constant Field Values

### FLDTAG_TRADSESSTARTTIME

    static final String FLDTAG_TRADSESSTARTTIME

  TradSesStartTime field code

  See Also:
    Constant Field Values

### FLDTAG_TRADSESOPENTIME

    static final String FLDTAG_TRADSESOPENTIME

  TradSesOpenTime field code

  See Also:
    Constant Field Values

### FLDTAG_TRADSESCLOSETIME

    static final String FLDTAG_TRADSESCLOSETIME

  TradSesCloseTime field code

  See Also:
    Constant Field Values

### FLDTAG_QUOTECANCELTYPE

    static final String FLDTAG_QUOTECANCELTYPE

  QuoteCancelType

  See Also:
    Constant Field Values

### FLDTAG_PRICE

    static final String FLDTAG_PRICE

  Price

  See Also:
    Constant Field Values

### FLDTAG_TEXT

    static final String FLDTAG_TEXT

  Text field code

  See Also:
    Constant Field Values

### FLDTAG_NORELATEDSYM

    static final String FLDTAG_NORELATEDSYM

  NoRealedSym field code

  See Also:
    Constant Field Values

### FLDTAG_EMAILTHREADID

    static final String FLDTAG_EMAILTHREADID

  Email Thread ID

  See Also:
    Constant Field Values

### FLDTAG_EMAILTYPE

    static final String FLDTAG_EMAILTYPE

  Email Type

  See Also:
    Constant Field Values

### FLDTAG_SUBJECT

    static final String FLDTAG_SUBJECT

  Subject

  See Also:
    Constant Field Values

### FLDTAG_ORIGTIME

    static final String FLDTAG_ORIGTIME

  OrigTime field code

  See Also:
    Constant Field Values

### FLDTAG_URGENCY

    static final String FLDTAG_URGENCY

  Urgency field code

  See Also:
    Constant Field Values

### FLDTAG_MDUPDATEACTION

    static final String FLDTAG_MDUPDATEACTION

  MDUpdateAction field code

  See Also:
    Constant Field Values

### FLDTAG_LINESOFTEXT

    static final String FLDTAG_LINESOFTEXT

  LinesOfText field code

  See Also:
    Constant Field Values

### FLDTAG_CURRENCY

    static final String FLDTAG_CURRENCY

  Currency field code

  See Also:
    Constant Field Values

### FLDTAG_ROUNDLOT

    static final String FLDTAG_ROUNDLOT

  RoundLot field code

  See Also:
    Constant Field Values

### FLDTAG_SUBSCRIPTIONREQUESTTYPE

    static final String FLDTAG_SUBSCRIPTIONREQUESTTYPE

  SubscriptionRequestType field code

  See Also:
    Constant Field Values

### FLDTAG_QUOTE_REQ_ID

    static final String FLDTAG_QUOTE_REQ_ID

  Quote Request ID value: QuoteReqID

  See Also:
    Constant Field Values

### FLDTAG_QUOTE_REQUEST_REJECT_REASON

    static final String FLDTAG_QUOTE_REQUEST_REJECT_REASON

  Quote Request Reject Reason

  See Also:
    Constant Field Values

### FLDTAG_QUOTE_RESP_ID

    static final String FLDTAG_QUOTE_RESP_ID

  Quote Response ID

  See Also:
    Constant Field Values

### FLDTAG_QUOTE_RESP_TYPE

    static final String FLDTAG_QUOTE_RESP_TYPE

  Quote Response Type

  See Also:
    Constant Field Values

### FLDTAG_QUOTE_BIDPX

    static final String FLDTAG_QUOTE_BIDPX

  QuoteEntityType value: Bid

  See Also:
    Constant Field Values

### FLDTAG_QUOTE_OFFERPX

    static final String FLDTAG_QUOTE_OFFERPX

  QuoteEntityType value: Offer (Ask)

  See Also:
    Constant Field Values

### FLDTAG_HEADLINE

    static final String FLDTAG_HEADLINE

  Headline filed code

  See Also:
    Constant Field Values

### FLDTAG_MDREQID

    static final String FLDTAG_MDREQID

  MDReqID field code

  See Also:
    Constant Field Values

### FLDTAG_MARKETDEPTH

    static final String FLDTAG_MARKETDEPTH

  MarketDepth field code

  See Also:
    Constant Field Values

### FLDTAG_NOMDENTRYTYPES

    static final String FLDTAG_NOMDENTRYTYPES

  NoMDEntryTypes field code

  See Also:
    Constant Field Values

### FLDTAG_NOMDENTRIES

    static final String FLDTAG_NOMDENTRIES

  NoMDEntries field code

  See Also:
    Constant Field Values

### FLDTAG_MDENTRYTYPE

    static final String FLDTAG_MDENTRYTYPE

  MDEntryType field code

  See Also:
    Constant Field Values

### FLDTAG_MDREQREJREASON

    static final String FLDTAG_MDREQREJREASON

  MDRewRejReason field code

  See Also:
    Constant Field Values

### FLDTAG_MDENTRYPX

    static final String FLDTAG_MDENTRYPX

  MDEntryPx field code

  See Also:
    Constant Field Values

### FLDTAG_MDENTRYDATE

    static final String FLDTAG_MDENTRYDATE

  MDEntryDate field code

  See Also:
    Constant Field Values

### FLDTAG_MDENTRYTIME

    static final String FLDTAG_MDENTRYTIME

  MDEntryTime field code

  See Also:
    Constant Field Values

### FLDTAG_MDENTRYORIGINATOR

    static final String FLDTAG_MDENTRYORIGINATOR

  MDEntry Originator

  See Also:
    Constant Field Values

### FLDTAG_QUOTECONDITION

    static final String FLDTAG_QUOTECONDITION

  QuoteCondition field code

  See Also:
    Constant Field Values

### FLDTAG_MDUPDATETYPE

    static final String FLDTAG_MDUPDATETYPE

  MDUpdateType field code

  See Also:
    Constant Field Values

### FLDTAG_NOTRADINGSESSIONS

    static final String FLDTAG_NOTRADINGSESSIONS

  NoTradingSessions field code

  See Also:
    Constant Field Values

### FLDTAG_ORDERSTATUS

    static final String FLDTAG_ORDERSTATUS

  Order status

  See Also:
    Constant Field Values

### FLDTAG_LEAVESQTY

    static final String FLDTAG_LEAVESQTY

  Quantity left to fill on the order. Required for ExecutionReport message, not used in current protocol

  See Also:
    Constant Field Values

### FLDTAG_CUMQTY

    static final String FLDTAG_CUMQTY

  Total quantity filled. Required for ExecutionReport message, not used in current protocol

  See Also:
    Constant Field Values

### FLDTAG_ORDER_REJECTION_REASON

    static final String FLDTAG_ORDER_REJECTION_REASON

  Order rejection reason

  See Also:
    Constant Field Values

### FLDTAG_MSGSEQNUM

    static final String FLDTAG_MSGSEQNUM

  Message Sequence number

  See Also:
    Constant Field Values

### FLDTAG_PARTYSUBID

    static final String FLDTAG_PARTYSUBID

  Parties Sub Id

  See Also:
    Constant Field Values

### FLDTAG_PARTYSUBIDTYPE

    static final String FLDTAG_PARTYSUBIDTYPE

  Party Sub ID Type

  See Also:
    Constant Field Values

### FLDTAG_NOPARTYSUBIDS

    static final String FLDTAG_NOPARTYSUBIDS

  Number Party Sub IDS

  See Also:
    Constant Field Values

### FLDTAG_NOPARTYIDS

    static final String FLDTAG_NOPARTYIDS

  NoPartyIDs - Number of Party objects in a particular Parties object

  See Also:
    Constant Field Values

### FLDTAG_USERREQUESTID

    static final String FLDTAG_USERREQUESTID

  User Request ID

  See Also:
    Constant Field Values

### FLDTAG_USERREQUESTTYPE

    static final String FLDTAG_USERREQUESTTYPE

  User Request Type

  See Also:
    Constant Field Values

### FLDTAG_USERNAME

    static final String FLDTAG_USERNAME

  UserName

  See Also:
    Constant Field Values

### FLDTAG_PASSWORD

    static final String FLDTAG_PASSWORD

  Password

  See Also:
    Constant Field Values

### FLDTAG_NEWPASSWORD

    static final String FLDTAG_NEWPASSWORD

  New Password

  See Also:
    Constant Field Values

### FLDTAG_USERSTATUS

    static final String FLDTAG_USERSTATUS

  User Status

  See Also:
    Constant Field Values

### FLDTAG_USERSTATUSTEXT

    static final String FLDTAG_USERSTATUSTEXT

  User Status Text

  See Also:
    Constant Field Values

### FLDTAG_VALIDUNTILTIME

    static final String FLDTAG_VALIDUNTILTIME

  Valid Until Time

  See Also:
    Constant Field Values

### FLDTAG_TESTREQID

    static final String FLDTAG_TESTREQID

  Test request ID

  See Also:
    Constant Field Values

### FLDTAG_CLORDID

    static final String FLDTAG_CLORDID

  Client order id

  See Also:
    Constant Field Values

### FLDTAG_QUOTE_ID

    static final String FLDTAG_QUOTE_ID

  Quote ID

  See Also:
    Constant Field Values

### FLDTAG_EXECID

    static final String FLDTAG_EXECID

  Execution ID

  See Also:
    Constant Field Values

### FLDTAG_ACCOUNT

    static final String FLDTAG_ACCOUNT

  Account

  See Also:
    Constant Field Values

### FLDTAG_SETTLDATE

    static final String FLDTAG_SETTLDATE

  Settlement date

  See Also:
    Constant Field Values

### FLDTAG_PARTYID

    static final String FLDTAG_PARTYID

  Party id *

  See Also:
    Constant Field Values

### FLDTAG_PARTYID_SOURCE

    static final String FLDTAG_PARTYID_SOURCE

  Party id Source *

  See Also:
    Constant Field Values

### FLDTAG_PARTY_ROLE

    static final String FLDTAG_PARTY_ROLE

  Party role *

  See Also:
    Constant Field Values

### FLDTAG_SIDE

    static final String FLDTAG_SIDE

  Side

  See Also:
    Constant Field Values

### FLDTAG_ORDER_QTY

    static final String FLDTAG_ORDER_QTY

  Order quantity

  See Also:
    Constant Field Values

### FLDTAG_ORDER_QTY2

    static final String FLDTAG_ORDER_QTY2

  Order quantity 2

  See Also:
    Constant Field Values

### FLDTAG_QUOTEENTRYID

    static final String FLDTAG_QUOTEENTRYID

  Quote Entry ID

  See Also:
    Constant Field Values

### FLDTAG_ORDTYPE

    static final String FLDTAG_ORDTYPE

  Order type

  See Also:
    Constant Field Values

### FLDTAG_ACCTIDSOURCE

    static final String FLDTAG_ACCTIDSOURCE

  Numeric Account id

  See Also:
    Constant Field Values

### FLDTAG_POSMAINTRPTID

    static final String FLDTAG_POSMAINTRPTID

  PositionReport id

  See Also:
    Constant Field Values

### FLDTAG_SETTLPRICE

    static final String FLDTAG_SETTLPRICE

  Posiiton open price

  See Also:
    Constant Field Values

### FLDTAG_TOTNUMPOSREPORTS

    static final String FLDTAG_TOTNUMPOSREPORTS

  Total Number Position Reports

  See Also:
    Constant Field Values

### FLDTAG_REFMSGTYPE

    static final String FLDTAG_REFMSGTYPE

  Reference Message Type

  See Also:
    Constant Field Values

### FLDTAG_BUSINESSREJECTREFID

    static final String FLDTAG_BUSINESSREJECTREFID

  Business Rejected Reference ID

  See Also:
    Constant Field Values

### FLDTAG_BUSINESSREJECTREASON

    static final String FLDTAG_BUSINESSREJECTREASON

  Business Reject Reason

  See Also:
    Constant Field Values

### FLDTAG_POSREQID

    static final String FLDTAG_POSREQID

  Position Request ID

  See Also:
    Constant Field Values

### FLDTAG_POSREQTYPE

    static final String FLDTAG_POSREQTYPE

  Position Request Type

  See Also:
    Constant Field Values

### FLDTAG_POSREQRESULT

    static final String FLDTAG_POSREQRESULT

  Status (validity) of position request

  See Also:
    Constant Field Values

### FLDTAG_POSREQSTATUS

    static final String FLDTAG_POSREQSTATUS

  position request status

  See Also:
    Constant Field Values

### FLDTAG_SECONDARYCLORDID

    static final String FLDTAG_SECONDARYCLORDID

  Client text

  See Also:
    Constant Field Values

### FLDTAG_CLEARINGBUSINESSDATE

    static final String FLDTAG_CLEARINGBUSINESSDATE

  Clearing business date

  See Also:
    Constant Field Values

### FLDTAG_ACCTTYPE

    static final String FLDTAG_ACCTTYPE

  FIX account type

  See Also:
    Constant Field Values

### FLDTAG_PRIORSETTLPRICE

    static final String FLDTAG_PRIORSETTLPRICE

  Same as open price for now

  See Also:
    Constant Field Values

### FLDTAG_SETTLPRICETYPE

    static final String FLDTAG_SETTLPRICETYPE

  Settlement price type

  See Also:
    Constant Field Values

### FLDTAG_COMMISSION

    static final String FLDTAG_COMMISSION

  Commission

  See Also:
    Constant Field Values

### FLDTAG_NOPOSITIONS

    static final String FLDTAG_NOPOSITIONS

  Number of positions in the PositionQty object

  See Also:
    Constant Field Values

### FLDTAG_POSTYPE

    static final String FLDTAG_POSTYPE

  Position type

  See Also:
    Constant Field Values

### FLDTAG_LONGQTY

    static final String FLDTAG_LONGQTY

  Qty, set if side is BUY

  See Also:
    Constant Field Values

### FLDTAG_SHORTQTY

    static final String FLDTAG_SHORTQTY

  Qty, set if side is SELL

  See Also:
    Constant Field Values

### FLDTAG_PEGOFFSETVALUE

    static final String FLDTAG_PEGOFFSETVALUE

  Amount (signed) added to the peg for a pegged order in the contextof the PegOffsetType.

  See Also:
    Constant Field Values

### FLDTAG_PEGMOVETYPE

    static final String FLDTAG_PEGMOVETYPE

  Describes whether peg is static/fixed or floats

  See Also:
    Constant Field Values

### FLDTAG_PEGOFFSETTYPE

    static final String FLDTAG_PEGOFFSETTYPE

  Type of Peg Offset (eg price offset, tick offset etc).

  See Also:
    Constant Field Values

### FLDTAG_PEGLIMITTYPE

    static final String FLDTAG_PEGLIMITTYPE

  Specifies nature of resulting pegged price (eg or better limit, strictlimit etc).

  See Also:
    Constant Field Values

### FLDTAG_PEGROUNDDIRECTION

    static final String FLDTAG_PEGROUNDDIRECTION

  If the calculated peg price is not a valid tick price, specifies how toround the price (eg be more or less aggressive).

  See Also:
    Constant Field Values

### FLDTAG_PEGSCOPE

    static final String FLDTAG_PEGSCOPE

  The scope of the related to price of the peg (eg local, global etc)

  See Also:
    Constant Field Values

### FLDTAG_PEGPRICETYPE

    static final String FLDTAG_PEGPRICETYPE

  Defines the type of peg. Valid values: '1' Last peg (last sale) '2' Mid-price peg (midprice of inside quote) '3' Opening peg '4' Market peg '5' Primary peg (primary market - buy at bid or sell at offer) '6' Fixed Peg to Local best bid or offer at time of order '7' Peg to VWAP '8' Trailing Stop Peg '9' Peg to Limit Price

  See Also:
    Constant Field Values

### FLDTAG_NOPOSAMT

    static final String FLDTAG_NOPOSAMT

  Number of positionAmount entities

  See Also:
    Constant Field Values

### FLDTAG_POSAMTTYPE

    static final String FLDTAG_POSAMTTYPE

  Position Amount type

  See Also:
    Constant Field Values

### FLDTAG_POSAMT

    static final String FLDTAG_POSAMT

  Position Amount

  See Also:
    Constant Field Values

### FLDTAG_TIMEINFORCE

    static final String FLDTAG_TIMEINFORCE

  Time in Force

  See Also:
    Constant Field Values

### FLDTAG_STOPPX

    static final String FLDTAG_STOPPX

  Stop Price

  See Also:
    Constant Field Values

### FLDTAG_MASSSTATUSREQID

    static final String FLDTAG_MASSSTATUSREQID

  mass status req id

  See Also:
    Constant Field Values

### FLDTAG_MASSSTATUSREQTYPE

    static final String FLDTAG_MASSSTATUSREQTYPE

  mass status request type

  See Also:
    Constant Field Values

### FLDTAG_AVGPX

    static final String FLDTAG_AVGPX

  avg price

  See Also:
    Constant Field Values

### FLDTAG_COLLRPTID

    static final String FLDTAG_COLLRPTID

  Collateral report id

  See Also:
    Constant Field Values

### FLDTAG_COLLINQUIRYID

    static final String FLDTAG_COLLINQUIRYID

  Collateral request id

  See Also:
    Constant Field Values

### FLDTAG_COLLINQUIRYRESULT

    static final String FLDTAG_COLLINQUIRYRESULT

  collateral inquiry result

  See Also:
    Constant Field Values

### FLDTAG_COLLINQUIRYSTATUS

    static final String FLDTAG_COLLINQUIRYSTATUS

  collateral inquiry status

  See Also:
    Constant Field Values

### FLDTAG_COLLSTATUS

    static final String FLDTAG_COLLSTATUS

  Collateral report status

  See Also:
    Constant Field Values

### FLDTAG_TOTNUMREPORTS

    static final String FLDTAG_TOTNUMREPORTS

  Total number of reports

  See Also:
    Constant Field Values

### FLDTAG_LASTRPTREQUESTED

    static final String FLDTAG_LASTRPTREQUESTED

  Last report requested

  See Also:
    Constant Field Values

### FLDTAG_CASHOUTSTANDING

    static final String FLDTAG_CASHOUTSTANDING

  Balance on the account

  See Also:
    Constant Field Values

### FLDTAG_STARTCASH

    static final String FLDTAG_STARTCASH

  Equity change nt

  See Also:
    Constant Field Values

### FLDTAG_ORIGCLORDID

    static final String FLDTAG_ORIGCLORDID

  Original cl order id of previous non-rejected order

  See Also:
    Constant Field Values

### FLDTAG_ORDERID

    static final String FLDTAG_ORDERID

  Order id

  See Also:
    Constant Field Values

### FLDTAG_SECONDARYORDERID

    static final String FLDTAG_SECONDARYORDERID

  secondary order id

  See Also:
    Constant Field Values

### FLDTAG_CLORDLINKID

    static final String FLDTAG_CLORDLINKID

  client order link id

  See Also:
    Constant Field Values

### FLDTAG_WORKINGINDICATOR

    static final String FLDTAG_WORKINGINDICATOR

  working indicator

  See Also:
    Constant Field Values

### FLDTAG_ORIGORDMODTIME

    static final String FLDTAG_ORIGORDMODTIME

  original order modification time

  See Also:
    Constant Field Values

### FLDTAG_LISTID

    static final String FLDTAG_LISTID

  list id

  See Also:
    Constant Field Values

### FLDTAG_TRADEORIGINATIONDATE

    static final String FLDTAG_TRADEORIGINATIONDATE

  trade origination date

  See Also:
    Constant Field Values

### FLDTAG_TRADEDATE

    static final String FLDTAG_TRADEDATE

  trade date

  See Also:
    Constant Field Values

### FLDTAG_CXLREJRESPONSETO

    static final String FLDTAG_CXLREJRESPONSETO

  cx reject response to

  See Also:
    Constant Field Values

### FLDTAG_CXLREJREASON

    static final String FLDTAG_CXLREJREASON

  cx reject reason

  See Also:
    Constant Field Values

### FLDTAG_EXPIREDATE

    static final String FLDTAG_EXPIREDATE

  Quote expiration date (UTCDateOnly)

  See Also:
    Constant Field Values

### FLDTAG_EXPIRETIME

    static final String FLDTAG_EXPIRETIME

  Quote expiration time (UTCTimeOnly)

  See Also:
    Constant Field Values

### FLDTAG_MDENTRYSIZE

    static final String FLDTAG_MDENTRYSIZE

  Quote liquidity, impressed in dealt currency, when field is 0 any order quantity possible

  See Also:
    Constant Field Values

### FLDTAG_MDENTRYID

    static final String FLDTAG_MDENTRYID

  Unique Market Data Entry identifier.

  See Also:
    Constant Field Values

### FLDTAG_OPENCLOSESETTLFLAG

    static final String FLDTAG_OPENCLOSESETTLFLAG

  Flag that identifies a market data entry.
  Valid values:
  '0' Daily Open / Close / Settlement entry
  '1' Session Open / Close / Settlement entry
  '2' Delivery Settlement entry
  '3' Expected entry
  '4' Entry from previous business day
  '5' Theoretical Price value

  See Also:
    Constant Field Values

### FLDTAG_QUANTITY

    static final String FLDTAG_QUANTITY

  Overall/total quantity (e.g. number of shares)

  See Also:
    Constant Field Values

### FLDTAG_CONTINGENCYTYPE

    static final String FLDTAG_CONTINGENCYTYPE

  ContingencyType Defines the type of contingency.

         0 - no order Contingency
         1 - One Cancels the Other (OCO)

  See Also:
    Constant Field Values

### FLDTAG_PRODUCT

    static final String FLDTAG_PRODUCT

  Indicates the type of product the security is associated with (high-level category)

       Valid values:
       '2'  COMMODITY
       '4'  CURRENCY
       '6'  GOVERNMENT
       '7'  INDEX

  See Also:
    Constant Field Values

### FLDTAG_CONTRACTMULTIPLIER

    static final String FLDTAG_CONTRACTMULTIPLIER

  Specifies the ratio or multiply factor to convert from "nominal" units (e.g. contracts) to total units (e.g. shares) (e.g. 1.0, 100, 1000, etc).

  See Also:
    Constant Field Values

### FLDTAG_FACTOR

    static final String FLDTAG_FACTOR

  Base unit size

  See Also:
    Constant Field Values

### FLDTAG_LEGPRICE

    static final String FLDTAG_LEGPRICE

  Price for leg of a multileg

  See Also:
    Constant Field Values

### FLDTAG_NOLEGS

    static final String FLDTAG_NOLEGS

  Number of InstrumentLeg repeating group instances.

  See Also:
    Constant Field Values

### FLDTAG_CFICODE

    static final String FLDTAG_CFICODE

  Indicates the type of security using ISO 10962 standard, Classification of Financial Instruments (CFI code) values.

  See Also:
    Constant Field Values

### FLDTAG_SECURITYTYPE

    static final String FLDTAG_SECURITYTYPE

  Indicates type of security.

  See Also:
    Constant Field Values

### FLDTAG_EFFECTIVETIME

    static final String FLDTAG_EFFECTIVETIME

  Time the details within the message should take effect

  See Also:
    Constant Field Values

### FLDTAG_MARGINRATIO

    static final String FLDTAG_MARGINRATIO

       MMR The amount reflected in this column indicates the margin required to open a one lot position.
       Example:
        100K Account
        o   If the margin requirement is set at 1%, then the margin required to open a one lot (100K) position is $1000.
        o   If the margin requirement is set at 2%, then the margin required to open a one lot (100K) position is $2000.
        Mini Account
        o   If the margin requirement is set at 0.5%, then the margin required to open a one lot (10K) position is $50.
        o   If the margin requirement is set at 1%, then the margin required to open a one lot (10K) position is $100.

  See Also:
    Constant Field Values

### FLDTAG_ORDERPERCENT

    static final String FLDTAG_ORDERPERCENT

  percentage of open quantity to close

  See Also:
    Constant Field Values

### FLDTAG_EXECINSTR

    static final String FLDTAG_EXECINSTR

  Instructions for order handling on exchange trading floor.

  See Also:
    Constant Field Values

### FLDTAG_ENDCASH

    static final String FLDTAG_ENDCASH

  Equity at time of request.

  See Also:
    Constant Field Values

### FLDTAG_PREVCLOSEPX

    static final String FLDTAG_PREVCLOSEPX

  Previous closing price of security.

  See Also:
    Constant Field Values

### FLDTAG_FXCMSTART

    static final String FLDTAG_FXCMSTART

  FXCM custom fields' starting point

  See Also:
    Constant Field Values

### FLDTAG_FXCMSYMID

    static final String FLDTAG_FXCMSYMID

  FXCMSymID field code

  See Also:
    Constant Field Values

### FLDTAG_FXCMSYMPRECISION

    static final String FLDTAG_FXCMSYMPRECISION

  FXCMSymPrecision field code

  See Also:
    Constant Field Values

### FLDTAG_FXCMSYMPOINTSIZE

    static final String FLDTAG_FXCMSYMPOINTSIZE

  fxcm sym point size

  See Also:
    Constant Field Values

### FLDTAG_FXCMSYMINTERESTBUY

    static final String FLDTAG_FXCMSYMINTERESTBUY

  fxcm sym interest buy

  See Also:
    Constant Field Values

### FLDTAG_FXCMSYMINTERESTSELL

    static final String FLDTAG_FXCMSYMINTERESTSELL

  fxcm sym interest sell

  See Also:
    Constant Field Values

### FLDTAG_FXCMSYMSORTORDER

    static final String FLDTAG_FXCMSYMSORTORDER

  fxcm sym sort order

  See Also:
    Constant Field Values

### FLDTAG_FXCMSYMMARGINRATIO

    static final String FLDTAG_FXCMSYMMARGINRATIO

  fxcm sym margin ratio

  See Also:
    Constant Field Values

### FLDTAG_FXCMTIMINGINTERVAL

    static final String FLDTAG_FXCMTIMINGINTERVAL

  FXCMTimingInterval field code

  See Also:
    Constant Field Values

### FLDTAG_FXCMSTARTDATE

    static final String FLDTAG_FXCMSTARTDATE

  FXCMStartDate field code

  See Also:
    Constant Field Values

### FLDTAG_FXCMSTARTTIME

    static final String FLDTAG_FXCMSTARTTIME

  FXCMStartTime field code

  See Also:
    Constant Field Values

### FLDTAG_FXCMENDDATE

    static final String FLDTAG_FXCMENDDATE

  FXCMEndDate field code

  See Also:
    Constant Field Values

### FLDTAG_FXCMENDTIME

    static final String FLDTAG_FXCMENDTIME

  FXCMEndTime field code

  See Also:
    Constant Field Values

### FLDTAG_FXCMNOPARAM

    static final String FLDTAG_FXCMNOPARAM

  FXCMNoParam field code

  See Also:
    Constant Field Values

### FLDTAG_FXCMPARAMNAME

    static final String FLDTAG_FXCMPARAMNAME

  FXCMParamName field code

  See Also:
    Constant Field Values

### FLDTAG_FXCMPARAMVALUE

    static final String FLDTAG_FXCMPARAMVALUE

  FXCMParamValue field code

  See Also:
    Constant Field Values

### FLDTAG_FXCMSERVERTIMEZONE

    static final String FLDTAG_FXCMSERVERTIMEZONE

  FXCMServerTimeZone field code

  See Also:
    Constant Field Values

### FLDTAG_FXCMCONTINUOUSFLAG

    static final String FLDTAG_FXCMCONTINUOUSFLAG

  FXCMContinuous flag

  See Also:
    Constant Field Values

### FLDTAG_FXCMNOSNAPSHOT

    static final String FLDTAG_FXCMNOSNAPSHOT

  Number of desired snapshots

  See Also:
    Constant Field Values

### FLDTAG_FXCMPAGEID

    static final String FLDTAG_FXCMPAGEID

  Page ID for FXCM news messages

  See Also:
    Constant Field Values

### FLDTAG_FXCMPAGEVIEWID

    static final String FLDTAG_FXCMPAGEVIEWID

  Pageview ID for FXCM news messages

  See Also:
    Constant Field Values

### FLDTAG_FXCMPAGEVIEWLIFETIME

    static final String FLDTAG_FXCMPAGEVIEWLIFETIME

  Pageview lifetime for FXCM news messages

  See Also:
    Constant Field Values

### FLDTAG_FXCMREQUESTREJECT

    static final String FLDTAG_FXCMREQUESTREJECT

  Request reject code for FXCM news

  See Also:
    Constant Field Values

### FLDTAG_FXCMPAGEIDNO

    static final String FLDTAG_FXCMPAGEIDNO

  Pages group field for News request

  See Also:
    Constant Field Values

### FLDTAG_FXCMCLIENTEXTRA

    static final String FLDTAG_FXCMCLIENTEXTRA

  Client extra data

  See Also:
    Constant Field Values

### FLDTAG_FXCMCOMMANDID

    static final String FLDTAG_FXCMCOMMANDID

  CommandID

  See Also:
    Constant Field Values

### FLDTAG_FXCMERRORDETAILS

    static final String FLDTAG_FXCMERRORDETAILS

  ErrorDeatils

  See Also:
    Constant Field Values

### FLDTAG_FXCMSERVERTIMEZONENAME

    static final String FLDTAG_FXCMSERVERTIMEZONENAME

  FXCMServerTimezoneName

  See Also:
    Constant Field Values

### FLDTAG_FXCMSESSIONMANAGERID

    static final String FLDTAG_FXCMSESSIONMANAGERID

  FXCM Session Manager ID

  See Also:
    Constant Field Values

### FLDTAG_FXCMTOPICID1

    static final String FLDTAG_FXCMTOPICID1

  FXCM Topic ID1

  See Also:
    Constant Field Values

### FLDTAG_FXCMTOPICID2

    static final String FLDTAG_FXCMTOPICID2

  FXCM Topic ID2

  See Also:
    Constant Field Values

### FLDTAG_FXCMTOPICID3

    static final String FLDTAG_FXCMTOPICID3

  FXCM Topic ID3

  See Also:
    Constant Field Values

### FLDTAG_FXCMTOPICID4

    static final String FLDTAG_FXCMTOPICID4

  FXCM Topic ID4

  See Also:
    Constant Field Values

### FLDTAG_EMBMSG

    static final String FLDTAG_EMBMSG

  Field that contains group of embedded messages

  See Also:
    Constant Field Values

### FLDTAG_FXCMTOPICID5

    static final String FLDTAG_FXCMTOPICID5

  FXCM Topic ID5

  See Also:
    Constant Field Values

### FLDTAG_FXCMUSEDMARGIN

    static final String FLDTAG_FXCMUSEDMARGIN

  Used margin

  See Also:
    Constant Field Values

### FLDTAG_FXCMMSGID

    static final String FLDTAG_FXCMMSGID

  FXCM message ID

  See Also:
    Constant Field Values

### FLDTAG_FXCMPOSINTEREST

    static final String FLDTAG_FXCMPOSINTEREST

  Position interest

  See Also:
    Constant Field Values

### FLDTAG_FXCMPOSID

    static final String FLDTAG_FXCMPOSID

  Trade id

  See Also:
    Constant Field Values

### FLDTAG_FXCMPOSOPENTIME

    static final String FLDTAG_FXCMPOSOPENTIME

  Open time in 'mmddyyyyhh24miss' format

  See Also:
    Constant Field Values

### FLDTAG_FXCMCLOSESETTLPRICE

    static final String FLDTAG_FXCMCLOSESETTLPRICE

  Closed Position price

  See Also:
    Constant Field Values

### FLDTAG_FXCMPOSCLOSETIME

    static final String FLDTAG_FXCMPOSCLOSETIME

  Closed Position date

  See Also:
    Constant Field Values

### FLDTAG_FXCMMARGINCALL

    static final String FLDTAG_FXCMMARGINCALL

  Margin call flag

  See Also:
    Constant Field Values

### FLDTAG_FXCMUSEDMARGIN3

    static final String FLDTAG_FXCMUSEDMARGIN3

  Used Margin 3

  See Also:
    Constant Field Values

### FLDTAG_FXCMCASHDAILY

    static final String FLDTAG_FXCMCASHDAILY

  EquityChangeNT

  See Also:
    Constant Field Values

### FLDTAG_FXCMCLOSECLORDID

    static final String FLDTAG_FXCMCLOSECLORDID

  cliend order id of close order

  See Also:
    Constant Field Values

### FLDTAG_FXCMCLOSESECONDARYCLORDID

    static final String FLDTAG_FXCMCLOSESECONDARYCLORDID

  client custom text of close order

  See Also:
    Constant Field Values

### FLDTAG_FXCMORDTYPE

    static final String FLDTAG_FXCMORDTYPE

  FXCM order type

  See Also:
    Constant Field Values

### FLDTAG_FXCMORDSTATUS

    static final String FLDTAG_FXCMORDSTATUS

  FXCM order status

  See Also:
    Constant Field Values

### FLDTAG_FXCMPOSCLOSEPNL

    static final String FLDTAG_FXCMPOSCLOSEPNL

  Position close reason

  See Also:
    Constant Field Values

### FLDTAG_FXCMPOSCOMMISSION

    static final String FLDTAG_FXCMPOSCOMMISSION

  Position commission

  See Also:
    Constant Field Values

### FLDTAG_FXCMCLOSEORDERID

    static final String FLDTAG_FXCMCLOSEORDERID

  FXCM Close Order ID

  See Also:
    Constant Field Values

### FLDTAG_FXCMNOADDON

    static final String FLDTAG_FXCMNOADDON

  FXCM number of Add Ons

  See Also:
    Constant Field Values

### FLDTAG_FXCMNADDONTEXT

    static final String FLDTAG_FXCMNADDONTEXT

  FXCM Add On Text

  See Also:
    Constant Field Values

### FLDTAG_FXCMDBALIAS

    static final String FLDTAG_FXCMDBALIAS

  FXCM DB Alias

  See Also:
    Constant Field Values

### FLDTAG_ENTITYCODE

    static final String FLDTAG_ENTITYCODE

  FXCM Entity Code

  See Also:
    Constant Field Values

### FLDTAG_RESPONSEENCODING

    static final String FLDTAG_RESPONSEENCODING

  FXCM Response Encoding

  See Also:
    Constant Field Values

### FLDTAG_FXCMMAXNORESULTS

    static final String FLDTAG_FXCMMAXNORESULTS

  FXCM Max Number of Results

  See Also:
    Constant Field Values

### FLDTAG_FXCMPEGFLUCTUATEPTS

    static final String FLDTAG_FXCMPEGFLUCTUATEPTS

  Specifies the number trailing stop fluctuating points

  See Also:
    Constant Field Values

### FLDTAG_FXCMDASMESSAGE_SID

    static final String FLDTAG_FXCMDASMESSAGE_SID

  DasMessage routing codes. End user session id (do not mix with communication session)

  See Also:
    Constant Field Values

### FLDTAG_FXCMDASMESSAGE_KIND

    static final String FLDTAG_FXCMDASMESSAGE_KIND

  DasMessage routing codes. Message Kind

  See Also:
    Constant Field Values

### FLDTAG_FXCMDASMESSAGE_CODE

    static final String FLDTAG_FXCMDASMESSAGE_CODE

  DasMessage routing codes. Message Code

  See Also:
    Constant Field Values

### FLDTAG_FXCMDASMESSAGE_ACTION

    static final String FLDTAG_FXCMDASMESSAGE_ACTION

  DasMessage routing codes. Message Action

  See Also:
    Constant Field Values

### FLDTAG_FXCMDASMESSAGE_OBJID

    static final String FLDTAG_FXCMDASMESSAGE_OBJID

  DasMessage routing codes. Object ID

  See Also:
    Constant Field Values

### FLDTAG_FXCMDASMESSAGE_OBJTYPE

    static final String FLDTAG_FXCMDASMESSAGE_OBJTYPE

  DasMessage roting codes. Object Type

  See Also:
    Constant Field Values

### FLDTAG_FXCMDASMESSAGE_ACCTID

    static final String FLDTAG_FXCMDASMESSAGE_ACCTID

  DasMessage routing codes. Account Id

  See Also:
    Constant Field Values

### FLDTAG_FXCMDASMESSAGE_SRVKIND

    static final String FLDTAG_FXCMDASMESSAGE_SRVKIND

  DasMessage routing codes. Service Kind

  See Also:
    Constant Field Values

### FLDTAG_FXCMDASMESSAGE_LID1

    static final String FLDTAG_FXCMDASMESSAGE_LID1

  DasMessage routing codes. Locator ID 1

  See Also:
    Constant Field Values

### FLDTAG_FXCMDASMESSAGE_LID2

    static final String FLDTAG_FXCMDASMESSAGE_LID2

  DasMessage routing codes. Locator ID 1

  See Also:
    Constant Field Values

### FLDTAG_FXCMDASMESSAGE_PRICESTREAM

    static final String FLDTAG_FXCMDASMESSAGE_PRICESTREAM

  DasMessage routing codes. PriceStream

  See Also:
    Constant Field Values

### FLDTAG_BATCHREQUEST_BATCHRESPONSE

    static final String FLDTAG_BATCHREQUEST_BATCHRESPONSE

  BatchRequest. BatchResponse required

  See Also:
    Constant Field Values

### FLDTAG_RESPONSE_FORMAT

    static final String FLDTAG_RESPONSE_FORMAT

See Also:
  Constant Field Values

### FLDTAG_SETTLTYPE

    static final String FLDTAG_SETTLTYPE

See Also:
  Constant Field Values

### FLDTAG_FXCMTIMINGINTERVAL_AUX

    static final String FLDTAG_FXCMTIMINGINTERVAL_AUX

  FXCMTimingInterval aux field code; e.g., 1. FLDTAG_FXCMTIMINGINTERVAL = "9011" will contain "1" (1-min interval) while FLDTAG_FXCMTIMINGINTERVAL_AUX = "" --> CandleStorage interval-code "100" 2. FLDTAG_FXCMTIMINGINTERVAL = "9011" will contain "5" (hourly interval) while FLDTAG_FXCMTIMINGINTERVAL_AUX = "" --> CandleStorage interval-code "500" 2. FLDTAG_FXCMTIMINGINTERVAL = "9011" will contain "5" (hourly interval) while FLDTAG_FXCMTIMINGINTERVAL_AUX = "h4" --> CandleStorage interval-code "504"

  See Also:
    Constant Field Values

### FLDTAG_FXCMPRICESTREAMNAME

    static final String FLDTAG_FXCMPRICESTREAMNAME

See Also:
  `IFixDefs.FLDTAG_FXCMDASMESSAGE_PRICESTREAM`, Constant Field Values

### FLDTAG_FXCMSUBSCRIPTIONSTATUS

    static final String FLDTAG_FXCMSUBSCRIPTIONSTATUS

  FXCM Subscription status (D/T/V/M)

  See Also:
    Constant Field Values

### FLDTAG_FXCMPRICESTREAMID

    static final String FLDTAG_FXCMPRICESTREAMID

  FXCM Price Stream Id

  See Also:
    Constant Field Values

### FLDTAG_REPEAT_COUNTER

    static final String FLDTAG_REPEAT_COUNTER

  Repeat counter in message body. Filled up if message is being retrasmitted

  See Also:
    Constant Field Values

### FLDTAG_FXCMNOPRICESTREAM

    static final String FLDTAG_FXCMNOPRICESTREAM

  FXCM Price Stream Number

  See Also:
    Constant Field Values

### FLDTAG_FXCMPOSIDREF

    static final String FLDTAG_FXCMPOSIDREF

  Origin/Reference FXCM Trade ID

  See Also:
    Constant Field Values

### FLDTAG_FXCMCONTINGENCYID

    static final String FLDTAG_FXCMCONTINGENCYID

  Server/Sell Side Contingency ID

  See Also:
    Constant Field Values

### FLDTAG_FXCMPRODUCTID

    static final String FLDTAG_FXCMPRODUCTID

  Product id (1-Forex, 2-Index, 3-Commodity, 4-Treasury, 5-Bullion)

  See Also:
    Constant Field Values

### FLDTAG_FXCMMDORIGINATOR

    static final String FLDTAG_FXCMMDORIGINATOR

See Also:
  Constant Field Values

### FLDTAG_FXCMMDQUOTEDATETIME

    static final String FLDTAG_FXCMMDQUOTEDATETIME

See Also:
  Constant Field Values

### FLDTAG_FXCMMDQUOTEEXPIREDATETIME

    static final String FLDTAG_FXCMMDQUOTEEXPIREDATETIME

See Also:
  Constant Field Values

### FLDTAG_FXCMMDQUOTES

    static final String FLDTAG_FXCMMDQUOTES

See Also:
  Constant Field Values

### FLDTAG_FXCMMDPRICELADDERS

    static final String FLDTAG_FXCMMDPRICELADDERS

See Also:
  Constant Field Values

### FLDTAG_FXCMMDLADDERID

    static final String FLDTAG_FXCMMDLADDERID

See Also:
  Constant Field Values

### FLDTAG_FXCMATTACHSESSION_SID

    static final String FLDTAG_FXCMATTACHSESSION_SID

  ID of a session to attach.

  See Also:
    Constant Field Values

### FLDTAG_FXCMMDENTRYLIST

    static final String FLDTAG_FXCMMDENTRYLIST

See Also:
  Constant Field Values

### FLDTAG_FXCMMDENTRYAMOUNT

    static final String FLDTAG_FXCMMDENTRYAMOUNT

See Also:
  Constant Field Values

### FLDTAG_FXCMCONDDISTSTOP

    static final String FLDTAG_FXCMCONDDISTSTOP

  Condition distance for Stop order

  See Also:
    Constant Field Values

### FLDTAG_FXCMCONDDISTLIMIT

    static final String FLDTAG_FXCMCONDDISTLIMIT

  Condition distance for Limit order

  See Also:
    Constant Field Values

### FLDTAG_FXCMCONDDISTENTRYSTOP

    static final String FLDTAG_FXCMCONDDISTENTRYSTOP

  Condition distance for Entry Stop order

  See Also:
    Constant Field Values

### FLDTAG_FXCMCONDDISTENTRYLIMIT

    static final String FLDTAG_FXCMCONDDISTENTRYLIMIT

  Condition distance for Entry Limit order

  See Also:
    Constant Field Values

### FLDTAG_FXCMMAXQUANTITY

    static final String FLDTAG_FXCMMAXQUANTITY

  Max quantity allowed

  See Also:
    Constant Field Values

### FLDTAG_FXCMMINQUANTITY

    static final String FLDTAG_FXCMMINQUANTITY

  Min quantity allowed

  See Also:
    Constant Field Values

### FLDTAG_FXCMTRADINGSTATUS

    static final String FLDTAG_FXCMTRADINGSTATUS

  Security Trading Status: O-Open, C-Closed

  See Also:
    Constant Field Values

### FLDTAG_FXCMDASMESSAGE_MSGIDEXT

    static final String FLDTAG_FXCMDASMESSAGE_MSGIDEXT

  FXCM DasMessage MSGIDEXT

  See Also:
    Constant Field Values

### FLDTAG_CURRENTVOLUME

    static final String FLDTAG_CURRENTVOLUME

  Current minute candle volume

  See Also:
    Constant Field Values

### FLDTAG_CURRENTVOLUME_TIME

    static final String FLDTAG_CURRENTVOLUME_TIME

  Current minute candle time

  See Also:
    Constant Field Values

### FLDTAG_FXCMINCLUDEWEEKENDS

    static final String FLDTAG_FXCMINCLUDEWEEKENDS

  Include weekend data

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FXCM, LLC. All Rights Reserved.